Skip to main content
GET
/
api
/
v1
/
funding
/
extremes
Funding Extremes
curl --request GET \
  --url https://api.example.com/api/v1/funding/extremes
Identifies coins whose current funding rate significantly deviates from their 30-day average using z-score normalization. A high z-score indicates overleveraged positions that may unwind violently.

Parameters

ParameterTypeDefaultDescription
limitnumber30Maximum number of results to return

Example Request

curl -X GET "https://krovn.io/api/v1/funding/extremes" \
  -H "X-API-Key: your_api_key"

Example Response

{
  "data": [
    {
      "symbol": "DOGEUSDT",
      "currentRate": 0.001250,
      "annualizedPct": 136.88,
      "avg30dRate": 0.000180,
      "zScore": 3.85,
      "severity": "EXTREME",
      "direction": "OVERLEVERAGED_LONG",
      "timestamp": "2026-03-21T08:00:00.000Z"
    },
    {
      "symbol": "ARBUSDT",
      "currentRate": -0.000820,
      "annualizedPct": -89.79,
      "avg30dRate": -0.000120,
      "zScore": -2.41,
      "severity": "HIGH",
      "direction": "OVERLEVERAGED_SHORT",
      "timestamp": "2026-03-21T08:00:00.000Z"
    }
  ],
  "count": 2,
  "threshold": "z-score > 1.5"
}
Only coins with at least 20 funding samples in the last 30 days and a non-zero standard deviation are included. Severity levels: ELEVATED (z > 1.5), HIGH (z > 2), EXTREME (z > 3).